Better ListView Class Reference |

# BetterListViewItemReorderEventArgs Constructor

Initializes a new instance of the BetterListViewItemReorderEventArgs class.

BetterListViewItemReorderEventArgs(
IDataObject data,
int keyState,
int x,
int y,
DragDropEffects allowedEffect,
DragDropEffects effect,
ReadOnlyDictionary<BetterListViewAddress, BetterListViewAddress> locations,
BetterListViewItemCollection sourceItems,
BetterListViewAddress targetAddress,
BetterListViewAddress targetAddressAdjusted
);

#### Parameters

data
  Data being dropped on the control.
keyState
  Current state of the SHIFT, CTRL, and ALT keys, as well as the state of the mouse buttons.
x
  X-coordinate of the mouse pointer, in screen coordinates.
y
  Y-coordinate of the mouse pointer, in screen coordinates.
allowedEffect
  Which drag-and-drop operations are allowed by the originator (or source) of the drag event.
effect
  Target drop effect in a drag-and-drop operation.
locations
  Item locations (before and after reordering).
sourceItems
  Source items.
targetAddress
  Address of a target item (before reordering).
targetAddressAdjusted
  Address of a target item (after reordering).

#### See Also

BetterListViewItemReorderEventArgs Class | ComponentOwl.BetterListView Namespace